#!/bin/bash

if [ -z $PKG_CONFIG_PATH ]; then
    PKG_CONFIG_PATH=/opt/kde4/lib64/pkgconfig
else
    PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/kde4/lib64/pkgconfig
fi

export PKG_CONFIG_PATH

function kde4env {
    # KDE
    KDEDIR=/opt/kde4
    KDEHOME=$HOME/.kde4
    KDETMP=$HOME/tmp/$USER-kde4
    KDEVARTMP=/var/tmp/$USER-kde4
    mkdir -p $KDETMP $KDEVARTMP
    if [ -z $KDEDIRS ]; then
        KDEDIRS=/opt/kde4
    else
        KDEDIRS=$KDEDIRS:/opt/kde4
    fi
    # Qt
    export QTDIR=/usr/lib/qt4
    if [ -z $QT_PLUGIN_PATH ]; then
        QT_PLUGIN_PATH=/opt/kde4/lib64/kde4/plugins
    else
        QT_PLUGIN_PATH=/opt/kde4/lib64/kde4/plugins:$QT_PLUGIN_PATH
    fi
    # DBus
    DBUSDIR=/opt/kde4
    # Path
    PATH=/usr/lib/qt4/bin:/opt/kde4/bin:$PATH
    # Library
    LD_LIBRARY_PATH=/opt/kde4/lib64:$LD_LIBRARY_PATH
    # XDG
    unset XDG_DATA_DIRS # unset XDG_DATA_DIRS, to avoid seeing kde3 files from /usr
    unset XDG_CONFIG_DIRS

    export KDEDIR KDEHOME KDETMP KDEVARTMP KDEDIRS QTDIR QT_PLUGIN_PATH DBUSDIR PATH LD_LIBRARY_PATH
}
